Dallas Semiconductor 1-Wire API 1.00 Alpha: Class OneWireContainer14

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.container
Class OneWireContainer14

    java.lang.Object
      |
      +--com.dalsemi.onewire.container.OneWireContainer
            |
            +--com.dalsemi.onewire.container.OneWireContainer14

public class OneWireContainer14
extends OneWireContainer

1-Wire container for 32 byte EEPROM memory iButton, DS1971 and 1-Wire Chip, DS2430A. This container encapsulates the functionality of the 1-Wire family type 14 (hex)

The iButton package for this device is primarily used as a read/write portable memory device. The 1-Wire Chip version is used for small non-volatile storage.

### Features

- 256 bits (32 bytes) Electrically Erasable Programmable Read Only Memory (EEPROM)
- Memory organized as one 256-bit (32-byte) page
- 64-bit one-time programmable application register is automatically write-protected after programming
- Reduces control, address, data and power to a single data pin
- Reads and writes over a wide voltage range of 2.8V to 6.0V from -40°C to +85°C environments

### Alternate Names

- DS2430A

### Memory

The memory can be accessed through the objects that are returned from the `getMemoryBanks` method.

The following is a list of the MemoryBank instances that are returned:

- Main Memory
  - Implements `MemoryBank`, `PagedMemoryBank`
  - Size 32 starting at physical address 0
  - Features Read/Write general-purpose non-volatile needs-power-delivery
  - Pages 1 pages of length 32 bytes giving 29 bytes Packet data payload
- Application register, non-volatile when locked
  - Implements `MemoryBank`, `PagedMemoryBank`, `OTPMemoryBank`
  - Size 8 starting at physical address 0
  - Features Read/Write general-purpose volatile needs-power-delivery
  - Pages 1 pages of length 8 bytes giving 6 bytes Packet data payload pages-lockable
  - Extra information for each page Page Locked flag, length 1

### Usage

  See the usage example in `OneWireContainer` to enumerate the MemoryBanks.
  See the usage examples in `MemoryBank`, `PagedMemoryBank`, and `OTPMemoryBank` for bank specific operations.

### DataSheets

  http://pdfserv.maxim-ic.com/arpdf/DS1971.pdf
  http://pdfserv.maxim-ic.com/arpdf/DS2430A.pdf

Version:
  0.00, 28 Aug 2000
See Also:
  `MemoryBank`, `PagedMemoryBank`, `OneWireContainer14`

Constructor Summary
`OneWireContainer14()` Create an empty container that is not complete until after a call to `setupContainer`.
`OneWireContainer14(DSPortAdapter sourceAdapter, byte[] newAddress)` Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.
`OneWireContainer14(DSPortAdapter sourceAdapter, long newAddress)` Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.
`OneWireContainer14(DSPortAdapter sourceAdapter, String newAddress)` Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.

Method Summary
`String` | `getAlternateNames()` Get the alternate Dallas Semiconductor part numbers or names.
`String` | `getDescription()` Get a short description of the function of this iButton or 1-Wire Device type.
`Enumeration` | `getMemoryBanks()` Get an enumeration of memory bank instances that implement one or more of the following interfaces: `MemoryBank`, `PagedMemoryBank`, and `OTPMemoryBank`.
`String` | `getName()` Get the Dallas Semiconductor part number of the iButton or 1-Wire Device as a string.

Methods inherited from class com.dalsemi.onewire.container.OneWireContainer
`doSpeed, getAdapter, getAddress, getAddressAsLong, getAddressAsString, getMaxSpeed, isAlarming, isPresent, setSpeed, setupContainer, setupContainer, setupContainer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneWireContainer14

    public OneWireContainer14()

  Create an empty container that is not complete until after a call to `setupContainer`.

  This is one of the methods to construct a container. The others are through creating a OneWireContainer with parameters.

  See Also:
    `super.setupContainer()`

### OneWireContainer14

    public OneWireContainer14(DSPortAdapter sourceAdapter,
                              byte[] newAddress)

  Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.

  This is one of the methods to construct a container. The other is through creating a OneWireContainer with NO parameters.

  Parameters:
    `sourceAdapter` - adapter instance used to communicate with this iButton
    `newAddress` - `Address` of this 1-Wire device
  See Also:
    `OneWireContainer14`, `utils.Address`

### OneWireContainer14

    public OneWireContainer14(DSPortAdapter sourceAdapter,
                              long newAddress)

  Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.

  This is one of the methods to construct a container. The other is through creating a OneWireContainer with NO parameters.

  Parameters:
    `sourceAdapter` - adapter instance used to communicate with this 1-Wire device
    `newAddress` - `Address` of this 1-Wire device
  See Also:
    `OneWireContainer14`, `utils.Address`

### OneWireContainer14

    public OneWireContainer14(DSPortAdapter sourceAdapter,
                              String newAddress)

  Create a container with the provided adapter instance and the address of the iButton or 1-Wire device.

  This is one of the methods to construct a container. The other is through creating a OneWireContainer with NO parameters.

  Parameters:
    `sourceAdapter` - adapter instance used to communicate with this 1-Wire device
    `newAddress` - `Address` of this 1-Wire device
  See Also:
    `OneWireContainer14`, `utils.Address`

Method Detail

### getName

    public String getName()

  Get the Dallas Semiconductor part number of the iButton or 1-Wire Device as a string. For example 'DS1992'.
  Overrides:
    `getName` in class `OneWireContainer`
  Returns:
    iButton or 1-Wire device name

### getAlternateNames

    public String getAlternateNames()

  Get the alternate Dallas Semiconductor part numbers or names. A 'family' of 1-Wire Network devices may have more than one part number depending on packaging. There can also be nicknames such as 'Crypto iButton'.
  Overrides:
    `getAlternateNames` in class `OneWireContainer`
  Returns:
    1-Wire device alternate names

### getDescription

    public String getDescription()

  Get a short description of the function of this iButton or 1-Wire Device type.
  Overrides:
    `getDescription` in class `OneWireContainer`
  Returns:
    device description

### getMemoryBanks

    public Enumeration getMemoryBanks()

  Get an enumeration of memory bank instances that implement one or more of the following interfaces: `MemoryBank`, `PagedMemoryBank`, and `OTPMemoryBank`.
  Overrides:
    `getMemoryBanks` in class `OneWireContainer`
  Returns:
    `Enumeration` of memory banks

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD